#include "Character.h"



Character::Character()
	: m_shield((int)ShieldComponent::kMaxLevel)
	, m_health(HealthComponent::kMaxHealth)
{
}


int Character::GetShieldLevel() const
{
	return m_shield.GetLevel();
}


int Character::GetHealth() const
{
	return m_health.GetAmount();
}


void Character::Damage(int damage)
{
	const int leftOverDamage = m_shield.Damage(damage);
	m_health.Damage(leftOverDamage);
}

