#include "HealthComponent.h"


int HealthComponent::kMaxHealth = 100;


HealthComponent::HealthComponent(int amount)
	: m_health(amount)
{
}


void HealthComponent::Damage(int damage)
{
	m_health -= damage;
	if (m_health < 0)
		m_health = 0;
}

void HealthComponent::Add(int damage)
{
	m_health += damage;
	if (m_health > kMaxHealth)
		m_health = kMaxHealth;
}


int HealthComponent::GetAmount() const
{
	return m_health;
}


